#
# Conditional build:
%bcond_without	aff		# Without Advanced Forensic Format (aff) support
%bcond_with	java		# Build Java bindings and jar file
#
Summary:	The Sleuth Kit - an forensic toolkit for analyzing file systems and disks
Summary(pl.UTF-8):	The Sleuth Kit - zestaw narzędzi wspomagających analizę systemów plików
Name:		sleuthkit
Version:	4.12.0
Release:	1
License:	IBM Public License/Common Public License
Group:		Applications/File
#Source0Download: https://github.com/sleuthkit/sleuthkit/releases
Source0:	https://github.com/sleuthkit/sleuthkit/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4beb0e6d3f303642a160e816914c5690
Patch0:		libewf.patch
Patch1:		%{name}-missing.patch
URL:		http://www.sleuthkit.org/sleuthkit/
%{?with_aff:BuildRequires:	afflib-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cppunit-devel >= 1.12.1
BuildRequires:	libbfio-devel
BuildRequires:	libewf-devel
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool
BuildRequires:	libvhdi-devel
BuildRequires:	libvmdk-devel
BuildRequires:	libvslvm-devel
#BuildRequires:	openssl-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	zlib-devel
Requires:	coreutils
Requires:	file
Requires:	perl-Date-Manip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sleuth Kit is an open source forensic toolkit for analyzing
Microsoft and UNIX file systems and disks. The Sleuth Kit enables
investigators to identify and recover evidence from images acquired
during incident response or from live systems. The Sleuth Kit is open
source, which allows investigators to verify the actions of the tool
or customize it to specific needs.

It is recommended that these command line tools can be used with the
Autopsy Forensic Browser. Autopsy,
(<http://www.sleuthkit.org/autopsy/>), is a graphical interface to the
tools of The Sleuth Kit and automates many of the procedures and
provides features such as image searching and MD5 image integrity
checks.

As with any investigation tool, any results found with The Sleuth Kit
should be be recreated with a second tool to verify the data.

%description -l pl.UTF-8
The Sleuth Kit to mający otwarte źródła zestaw narzędzi do analizy
systemów plików i dysków z systemami Microsoftu i uniksowymi. The
Sleuth Kit umożliwia badającym zidentyfikować i odtworzyć dowody
uzyskane podczas reakcji na incydent lub z żywych systemów. The Sleuth
Kit ma otwarte źródła, co pozwala badającym zweryfikować działania
narzędzia lub przystosować je do określonych potrzeb.

Zalecane jest używanie tych narzędzi działających z linii poleceń wraz
z przeglądarką Autopsy (<http://www.sleuthkit.org/autopsy/>), będącą
graficznym interfejsem do narzędzi z The Sleuth Kit i automatyzującą
wiele procedur oraz udostępniającą możliwości takie jak przeszukiwanie
obrazów i sprawdzanie integralności obrazów za pomocą sum MD5.

Podobnie jak przy dowolnym narzędziu badawczym wszelkie wyniki
uzyskane przy użyciu tego zestawu powinny być odtworzone przy użyciu
drugiego narzędzia dla zweryfikowania wiarygodności.

%package libs
Summary:	Sleuthkit shared library
Summary(pl.UTF-8):	Biblioteka współdzielona Sleuthkita
Group:		Libraries

%description libs
Sleuthkit shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Sleuthkita.

%package devel
Summary:	Header files for TheSleuthKit library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TheSleuthKit
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_aff:Requires:	afflib-devel}
Requires:	libewf-devel
Requires:	libstdc++-devel >= 6:5
Requires:	libvhdi-devel
Requires:	libvmdk-devel
Requires:	libvslvm-devel
Requires:	sqlite3-devel >= 3
Requires:	zlib-devel

%description devel
Header files for TheSleuthKit library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TheSleuthKit.

%package static
Summary:	Static TheSleuthKit library
Summary(pl.UTF-8):	Statyczna biblioteka TheSleuthKit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static TheSleuthKit library.

%description static -l pl.UTF-8
Statyczna biblioteka TheSleuthKit.

%package java
Summary:	Java bindings for sleuthkit
Summary(pl.UTF-8):	Dowiązania Javy do sleuthkit
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description java
Java bindings for sleuthkit.

%description java -l pl.UTF-8
Dowiązania Javy do sleuthkit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's/-static//' {samples,tests,tools/*tools}/Makefile.in

%{__mv} licenses/{README.md,README_licenses.md}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_aff:--without-afflib} \
	%{!?with_java:--disable-java}

%{__sed} -i -e 's/^\(LIBS = -lewf\)/\1 -ldl -lpthread/' {tools/autotools,tsk}/Makefile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtsk*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc API-CHANGES.txt ChangeLog.txt NEWS.txt README.md licenses/{IBM-LICENSE,README_licenses.md,bsd.txt,cpl1.0.txt,mit.txt}
%attr(755,root,root) %{_bindir}/blkcalc
%attr(755,root,root) %{_bindir}/blkcat
%attr(755,root,root) %{_bindir}/blkls
%attr(755,root,root) %{_bindir}/blkstat
%attr(755,root,root) %{_bindir}/fcat
%attr(755,root,root) %{_bindir}/ffind
%attr(755,root,root) %{_bindir}/fiwalk
%attr(755,root,root) %{_bindir}/fls
%attr(755,root,root) %{_bindir}/fsstat
%attr(755,root,root) %{_bindir}/hfind
%attr(755,root,root) %{_bindir}/icat
%attr(755,root,root) %{_bindir}/ifind
%attr(755,root,root) %{_bindir}/ils
%attr(755,root,root) %{_bindir}/img_cat
%attr(755,root,root) %{_bindir}/img_stat
%attr(755,root,root) %{_bindir}/istat
%attr(755,root,root) %{_bindir}/jcat
%attr(755,root,root) %{_bindir}/jls
%attr(755,root,root) %{_bindir}/jpeg_extract
%attr(755,root,root) %{_bindir}/mactime
%attr(755,root,root) %{_bindir}/mmcat
%attr(755,root,root) %{_bindir}/mmls
%attr(755,root,root) %{_bindir}/mmstat
%attr(755,root,root) %{_bindir}/pstat
%attr(755,root,root) %{_bindir}/sigfind
%attr(755,root,root) %{_bindir}/sorter
%attr(755,root,root) %{_bindir}/srch_strings
%attr(755,root,root) %{_bindir}/tsk_comparedir
%attr(755,root,root) %{_bindir}/tsk_gettimes
%attr(755,root,root) %{_bindir}/tsk_imageinfo
%attr(755,root,root) %{_bindir}/tsk_loaddb
%attr(755,root,root) %{_bindir}/tsk_recover
%attr(755,root,root) %{_bindir}/usnjls
%{_datadir}/tsk
%{_mandir}/man1/blkcalc.1*
%{_mandir}/man1/blkcat.1*
%{_mandir}/man1/blkls.1*
%{_mandir}/man1/blkstat.1*
%{_mandir}/man1/fcat.1*
%{_mandir}/man1/ffind.1*
%{_mandir}/man1/fls.1*
%{_mandir}/man1/fsstat.1*
%{_mandir}/man1/hfind.1*
%{_mandir}/man1/icat.1*
%{_mandir}/man1/ifind.1*
%{_mandir}/man1/ils.1*
%{_mandir}/man1/img_cat.1*
%{_mandir}/man1/img_stat.1*
%{_mandir}/man1/istat.1*
%{_mandir}/man1/jcat.1*
%{_mandir}/man1/jls.1*
%{_mandir}/man1/mactime.1*
%{_mandir}/man1/mmcat.1*
%{_mandir}/man1/mmls.1*
%{_mandir}/man1/mmstat.1*
%{_mandir}/man1/sigfind.1*
%{_mandir}/man1/sorter.1*
%{_mandir}/man1/tsk_comparedir.1*
%{_mandir}/man1/tsk_gettimes.1*
%{_mandir}/man1/tsk_loaddb.1*
%{_mandir}/man1/tsk_recover.1*
%{_mandir}/man1/usnjls.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtsk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtsk.so.19
%if %{with java}
%attr(755,root,root) %{_libdir}/libtsk_jni.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtsk_jni.so.0
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtsk.so
%if %{with java}
%attr(755,root,root) %{_libdir}/libtsk_jni.so
%endif
%{_includedir}/tsk
%{_pkgconfigdir}/tsk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtsk.a
%{?with_java:%{_libdir}/libtsk_jni.a}

%if %{with java}
%files java
%defattr(644,root,root,755)
%{_javadir}/%{name}-%{version}.jar
%endif
%changelog
* Sun Jun 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sleuthkit.git;a=log;h=master

* Sun Jun 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 4c30c1b
- updated to 4.12.0
- added patch with missing files from git

* Wed Jun 14 2023 Jan Palus <atler@pld-linux.org> 5fc734f
- update -devel deps

* Tue Jun 13 2023 Jan Palus <atler@pld-linux.org> 9feafab
- add missing ldconfig invocation to -libs

* Tue Jun 13 2023 Jan Palus <atler@pld-linux.org> 33cacc7
- make -devel depend on -libs not main package

* Tue Jun 13 2023 Jan Palus <atler@pld-linux.org> 0332e74
- drop duplicate entries for devel subpackage

* Thu Mar 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 7e8774e
- updated to 4.10.1

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 6bf7b26
- disable java, does not build without downloading stuff

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> af6698e
- up to 4.9.0
- fix building with current libewf

* Tue Aug 06 2019 Adam Gołębiowski <adamg@pld-linux.org> e699c2a
- updated to 4.6.7

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 9f2cba3
- devel, libs, static subpackages

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> afd8a78
- aff bcond

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 84d5f8a
- java subpackage

* Sun Nov 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 5ffcae2
- java todo

* Sun Nov 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 00ea86f
- updated to 4.6.4

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> e93e5a6
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jan 26 2015 Jan Rękorajski <baggins@pld-linux.org> 05dad11
- release 2 (by relup.sh)

* Sat Nov 05 2011 mguevara <mguevara@pld-linux.org> 2f64e1e
- up to 3.2.3-1

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> 16fbda5
- upgraded to 3.2.2

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1dac27f
- BR: libstdc++-devel
- adapter

* Sun Jan 02 2011 Tomasz Pala <gotar@pld-linux.org> ba6b5c4
- upgraded to 3.2.0, build shared binaries with EWF support, fixed linking,
- removed libtsk.la, updated TODOs, cosmetics

